For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
        • GETGet all data diffs
        • GETGet log by ID
        • GETGet a link to the job log raw request and response data of a write job.
        • GETQuery write job logs
        • GETGet logs
        • GETGet logs by job ID
        • GETGet all my integrations
        • POSTCreate an integration
        • GETGet all my users
        • GETGet user by id
        • GETCheck the status of a write operation
        • POSTRetry a write operation
        • GETGet integration by id
        • PUTUpdate an integration
        • DELDelete an integration
        • POSTTrigger a backsync on an integration.
        • POSTTrigger a manual sync on an integration.
        • GETGet data access information for an integration.
        • POSTTrigger a data access check on an integration.
        • GETGet all my property configurations
        • GETGet all my property list configurations
        • POSTCreate a property list configuration
        • GETGet job schedules by integration id
        • GETGet custom enum mappings for normalizing PMS-specific field values
        • PUTBulk enable or disable property configurations
        • PUTUpdate a property configuration
        • PUTUpdate a property list configuration
        • GETThe current PMS rate limits associated with your integration.
        • GETGet job schedule by id
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Configuration APIsAdmin

Get all my integrations

GET
/v1/admin/integrations/
GET
/v1/admin/integrations/
$curl https://api.propexo.com/v1/admin/integrations/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": [
12 {
13 "id": "a3f1c9d2-4b7e-4f3a-9d2e-1b2c3d4e5f6a",
14 "created_at": "2024-05-10T09:15:00Z",
15 "updated_at": "2024-06-01T12:00:00Z",
16 "name": "AppFolio Main Integration",
17 "vendor": "APPFOLIO",
18 "active": true,
19 "system": "PRODUCTION",
20 "max_job_concurrency": 5,
21 "max_request_frequency": 100,
22 "max_request_cadence": "HOUR",
23 "is_archived": false,
24 "last_completed_sync": "2024-06-01T11:45:00Z",
25 "last_completed_back_sync": "2024-05-31T23:59:59Z",
26 "new_properties_are_enabled": false,
27 "integration_interfaces": [
28 {
29 "interface_name": "REALPAGE_CREATE_LEAD",
30 "enabled": true,
31 "version": "v2.3.1"
32 }
33 ],
34 "models": {},
35 "can_authenticate": true,
36 "last_data_access_check": "2024-06-01T11:50:00Z",
37 "configuration_meta_data": [
38 {
39 "last_seen": "2024-06-01T11:50:00Z",
40 "interface_name": "REALPAGE_CREATE_LEAD",
41 "configuration_data": {},
42 "custom_data": {}
43 }
44 ],
45 "base_url": "https://api.appfolio.com/v1",
46 "sync_frequency": 1,
47 "sync_cadence": "MINUTE",
48 "allow_manual_syncs": true
49 }
50 ]
51}
Get all my integrations
Was this page helpful?
Previous

Create an integration

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

updated_at_gtestring or nullOptional

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_ltestring or nullOptional

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
integration_vendorenumOptional
The integration vendor
is_archivedbooleanOptional
Whether or not to include archived integrations

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error